2026-03-16 11:36:28 UTC
129 MB
true
GODEBUGmadvdontneed=1
LIBBEAT_MONITORING_CGROUPS_HIERARCHY_OVERRIDE/
PATH/usr/share/filebeat:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
containeroci
[#000] sha256:2f837cbde7bec1a8dee5c2b27522d4c4044aadb4670bf0865c3a52c930be24af - 29.67% (38.1 MB)
[#001] sha256:b3b70cb4df2db1c3e2259ee934b6e3bbe42e5f1ad796c77dd5ae75aa2ffbc739 - 0.01% (9.5 KB)
[#002] sha256:9561c8995c47a3076065a7804990810e9b127f4a68742cd906010cabd0859691 - 0.0% (608 Bytes)
[#003] sha256:b70b684b63bb4d463b7509d1eee00f293b51e45245bc467e7712ae2fd5997ce2 - 0.0% (612 Bytes)
[#004] sha256:785e5f10f5e84b51684498ce21214368d6e39cec2ee7782650831c1cb6f6c173 - 54.3% (69.8 MB)
[#005] sha256:33e678ee0660f483b5f2c92ceb8ac2394a671cd7a261f8524a4cf93070d58dba - 0.0% (123 Bytes)
[#006] sha256:2766d614f8c76a0fd071820c95a4620c1d3f9c5309f063164b418b93726cf0b2 - 0.0% (5.42 KB)
[#007] sha256:5ad86406b3c0171681761c450b7a972e92e90a4c1a3c72033a045ace00a178b1 - 0.16% (217 KB)
[#008] sha256:9a3086c30c9df1b0096269b919ca45b93b1d58a9006ee3dad3ffdee637f2d0b6 - 0.0% (506 Bytes)
[#009] sha256:425630d0bae8f2cdac979788cad8989269ac4d9a1681e12b58425494d871fdac - 0.0% (1.09 KB)
[#010] sha256:4435fb89eb56e70133a8bc5552e64dbb1667ef6a8d2a3efb4072c3b4a9215b51 - 15.85% (20.4 MB)
[#011] sha256:bd9ddc54bea929a22b334e73e026d4136e5b73f5cc29942896c72e4ece69b13d - 0.0% (34 Bytes)
/bin/sh -c #(nop) LABEL maintainer="Red Hat, Inc."
2026-03-11 04:51:30 UTC/bin/sh -c #(nop) LABEL vendor="Red Hat, Inc."
2026-03-11 04:51:30 UTC/bin/sh -c #(nop) LABEL url="https://catalog.redhat.com/en/search?searchType=containers"
2026-03-11 04:51:30 UTC/bin/sh -c #(nop) LABEL com.redhat.component="ubi9-minimal-container" name="ubi9/ubi-minimal" version="9.7" cpe="cpe:/a:redhat:enterprise_linux:9::appstream" distribution-scope="public"
2026-03-11 04:51:30 UTC/bin/sh -c #(nop) LABEL com.redhat.license_terms="https://www.redhat.com/en/about/red-hat-end-user-license-agreements#UBI"
2026-03-11 04:51:30 UTC/bin/sh -c #(nop) LABEL summary="Provides the latest release of the minimal Red Hat Universal Base Image 9."
2026-03-11 04:51:30 UTC/bin/sh -c #(nop) LABEL description="The Universal Base Image Minimal is a stripped down image that uses microdnf as a package manager. This base image is freely redistributable, but Red Hat only supports Red Hat technologies through subscriptions for Red Hat products. This image is maintained by Red Hat and updated regularly."
2026-03-11 04:51:30 UTC/bin/sh -c #(nop) LABEL io.k8s.description="The Universal Base Image Minimal is a stripped down image that uses microdnf as a package manager. This base image is freely redistributable, but Red Hat only supports Red Hat technologies through subscriptions for Red Hat products. This image is maintained by Red Hat and updated regularly."
2026-03-11 04:51:30 UTC/bin/sh -c #(nop) LABEL io.k8s.display-name="Red Hat Universal Base Image 9 Minimal"
2026-03-11 04:51:30 UTC/bin/sh -c #(nop) LABEL io.openshift.expose-services=""
2026-03-11 04:51:30 UTC/bin/sh -c #(nop) LABEL io.openshift.tags="minimal rhel9"
2026-03-11 04:51:30 UTC/bin/sh -c #(nop) ENV container oci
2026-03-11 04:51:31 UTC/bin/sh -c #(nop) COPY dir:c1ba4c335e7831ddebf5732b67e3739a636a3d3dbf6b4d4089ed8f31a1bfbfd1 in /
2026-03-11 04:51:31 UTC/bin/sh -c #(nop) COPY file:1376702515d596f414e3aa494e0daa6d408a6d2475c4aeca96bf9392f5287f69 in /etc/yum.repos.d/.
2026-03-11 04:51:31 UTC/bin/sh -c #(nop) CMD ["/bin/bash"]
2026-03-11 04:51:31 UTC/bin/sh -c #(nop) COPY file:93583a9ebbaeff1e36b48820b647eea1eef523f6627dacfb0b21af79f5a41b35 in /usr/share/buildinfo/content-sets.json
2026-03-11 04:51:31 UTC/bin/sh -c #(nop) COPY file:93583a9ebbaeff1e36b48820b647eea1eef523f6627dacfb0b21af79f5a41b35 in /root/buildinfo/content_manifests/content-sets.json
2026-03-11 04:51:31 UTC/bin/sh -c #(nop) COPY file:53f3c4e4ec21f021024505adc7a7710e18079e2a86f12f898f971cadc64b7478 in /usr/share/buildinfo/labels.json
2026-03-11 04:51:31 UTC/bin/sh -c #(nop) COPY file:53f3c4e4ec21f021024505adc7a7710e18079e2a86f12f898f971cadc64b7478 in /root/buildinfo/labels.json
2026-03-11 04:51:32 UTC/bin/sh -c #(nop) LABEL "architecture"="x86_64" "vcs-type"="git" "vcs-ref"="ddf3e9d218968613397a7b4df7547f25ad755449" "org.opencontainers.image.revision"="ddf3e9d218968613397a7b4df7547f25ad755449" "build-date"="2026-03-11T04:51:18Z" "org.opencontainers.image.created"="2026-03-11T04:51:18Z" "release"="1773204619"org.opencontainers.image.revision=ddf3e9d218968613397a7b4df7547f25ad755449,org.opencontainers.image.created=2026-03-11T04:51:18Z
2026-03-16 11:36:08 UTC (buildkit.dockerfile.v0)LABEL org.label-schema.build-date=2026-03-16T11:29:52Z org.label-schema.schema-version=1.0 org.label-schema.vendor=Elastic org.label-schema.license=Elastic License org.label-schema.name=filebeat org.label-schema.version=9.2.7 org.label-schema.url=https://www.elastic.co/beats/filebeat org.label-schema.vcs-url=github.com/elastic/beats/v7 org.label-schema.vcs-ref=3147cc0802c718c131386d967c5eaf5fe9f94e7f io.k8s.description=Filebeat sends log files to Logstash or directly to Elasticsearch. io.k8s.display-name=Filebeat image org.opencontainers.image.created=2026-03-16T11:29:52Z org.opencontainers.image.licenses=Elastic License org.opencontainers.image.title=Filebeat org.opencontainers.image.vendor=Elastic org.opencontainers.image.authors=infra@elastic.co maintainer=infra@elastic.co name=filebeat vendor=Elastic version=9.2.7 release=1 url=https://www.elastic.co/beats/filebeat summary=filebeat license=Elastic License description=Filebeat sends log files to Logstash or directly to Elasticsearch.
2026-03-16 11:36:08 UTC (buildkit.dockerfile.v0)ENV ELASTIC_CONTAINER=true
2026-03-16 11:36:08 UTC (buildkit.dockerfile.v0)ENV PATH=/usr/share/filebeat:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
2026-03-16 11:36:08 UTC (buildkit.dockerfile.v0)ENV GODEBUG=madvdontneed=1
2026-03-16 11:36:08 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c set -e ; TINI_BIN=""; TINI_SHA256=""; TINI_VERSION="v0.19.0"; echo "The arch value is $(arch)"; case "$(arch)" in x86_64) TINI_BIN="tini-amd64"; TINI_SHA256="93dcc18adc78c65a028a84799ecf8ad40c936fdfc5f2a57b1acda5a8117fa82c"; ;; aarch64) TINI_BIN="tini-arm64"; TINI_SHA256="07952557df20bfd2a95f9bef198b445e006171969499a1d361bd9e6f8e5e0e81"; ;; *) echo >&2 ; echo >&2 "Unsupported architecture \$(arch)" ; echo >&2 ; exit 1 ; ;; esac ; curl --retry 8 -S -L -O "https://github.com/krallin/tini/releases/download/${TINI_VERSION}/${TINI_BIN}" ; echo "${TINI_SHA256} ${TINI_BIN}" | sha256sum -c - ; mv "${TINI_BIN}" /usr/bin/tini ; chmod +x /usr/bin/tini # buildkit
2026-03-16 11:36:08 UTC (buildkit.dockerfile.v0)COPY docker-entrypoint /usr/local/bin/docker-entrypoint # buildkit
2026-03-16 11:36:09 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c chmod 755 /usr/local/bin/docker-entrypoint # buildkit
2026-03-16 11:36:22 UTC (buildkit.dockerfile.v0)COPY /usr/share/filebeat /usr/share/filebeat # buildkit
2026-03-16 11:36:22 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c mkdir /licenses # buildkit
2026-03-16 11:36:22 UTC (buildkit.dockerfile.v0)COPY /usr/share/filebeat/LICENSE.txt /licenses # buildkit
2026-03-16 11:36:22 UTC (buildkit.dockerfile.v0)COPY /usr/share/filebeat/NOTICE.txt /licenses # buildkit
2026-03-16 11:36:23 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c groupadd --gid 1000 filebeat # buildkit
2026-03-16 11:36:23 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c useradd -M --uid 1000 --gid 1000 --groups 0 --home /usr/share/filebeat filebeat # buildkit
2026-03-16 11:36:28 UTC (buildkit.dockerfile.v0)RUN /bin/sh -c for iter in {1..10}; do microdnf -y update && microdnf -y install systemd && microdnf clean all && exit_code=0 && break || exit_code=$? && echo "microdnf error: retry $iter in 10s" && sleep 10; done; (exit $exit_code) # buildkit
2026-03-16 11:36:28 UTC (buildkit.dockerfile.v0)USER 1000
2026-03-16 11:36:28 UTC (buildkit.dockerfile.v0)ENV LIBBEAT_MONITORING_CGROUPS_HIERARCHY_OVERRIDE=/
2026-03-16 11:36:28 UTC (buildkit.dockerfile.v0)WORKDIR /usr/share/filebeat
2026-03-16 11:36:28 UTC (buildkit.dockerfile.v0)ENTRYPOINT ["/usr/bin/tini" "--" "/usr/local/bin/docker-entrypoint"]
2026-03-16 11:36:28 UTC (buildkit.dockerfile.v0)CMD ["--environment" "container"]
Please be careful as this will not just delete the reference but also the actual content!
For example when you have latest and v1.2.3 both pointing to the same image
the deletion of latest will also permanently remove v1.2.3.